class Ghost extends Base {
  float angle;
  boolean pulled;
  boolean isTop;


  Ghost() {
    
    super();
    pos.x = round(random(1))*width;
    pos.y = height/4.0+random(height/2.0);
    mov.x = random(1)-0.5;
    mov.y = random(1)-0.5;
    mov.mult(4);
    if(random(1)>0.5){
     isTop = true; 
    }
  }

  void go() {
     if(pos.y < bars){
      mov.y += 0.07;
     } 

     if(pos.y > height-bars){
      mov.y -= 0.07;
     } 
    
    pos.add(mov);
    angle += 0.03*(random(1)-0.5);

    pos.x = (pos.x+width)%width;
     if(isTop){
      if(pos.y<0){
       remove = true;
       score += 1;
       
       ding.trigger();
      } 
     } else {
      if(pos.y>height){
       remove = true;
       score += 1;
       ding.trigger();
      } 
     }

    mov.limit(7);
    
    if(mov.mag()>3.5){
     mov.mult(0.99); 
    }
    
  }

  void display() {

    pushMatrix();

    translate(pos.x, pos.y);
    rotate(angle);
    if (pulled) {
      tint(random(255), random(255), random(255));
    } 
    else {
      if(isTop){
       tint(255,100,100); 
      } else {
       tint(100,100,255); 
      }
    }
    image(ghosty, -ghostpic.width/2.0, -ghostpic.height/2.0);
    popMatrix();
  }
}

